[PATCH 2 of 2] graphlog: add test for filelog graph

Steve Borho steve at borho.org
Fri Jan 25 10:38:37 CST 2008


# HG changeset patch
# User Steve Borho <steve at borho.org>
# Date 1201278904 21600
# Node ID 897a09f3b64457ddea8706c4c9c0cde897b36a40
# Parent  2d6b7c24dc0d18a09755ea5e8670c7b411e88165
graphlog: add test for filelog graph

diff --git a/tests/test-glog b/tests/test-glog
--- a/tests/test-glog
+++ b/tests/test-glog
@@ -139,5 +139,8 @@
 echo % glog
 hg glog
 
+echo % file glog
+hg glog 5
+
 echo % unused arguments
-hg glog -q foo || echo failed
+hg glog -q foo bar || echo failed
diff --git a/tests/test-glog.out b/tests/test-glog.out
--- a/tests/test-glog.out
+++ b/tests/test-glog.out
@@ -307,9 +307,17 @@
    date:        Thu Jan 01 00:00:00 1970 +0000
    summary:     (0) root
 
+% file glog
+o  changeset:   5:3589c3c477ab
+   parent:      3:02173ffbf857
+   parent:      4:e2cad8233c77
+   user:        test
+   date:        Thu Jan 01 00:00:05 1970 +0000
+   summary:     (5) expand
+
 % unused arguments
 hg glog: invalid arguments
-hg glog [OPTION]...
+hg glog [OPTION] [FILE]...
 
 show revision history alongside an ASCII revision graph
 failed


More information about the Mercurial-devel mailing list